summaryrefslogtreecommitdiff
path: root/net-misc/ofono/files
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
committerV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
commit4f2d7949f03e1c198bc888f2d05f421d35c57e21 (patch)
treeba5f07bf3f9d22d82e54a462313f5d244036c768 /net-misc/ofono/files
reinit the tree, so we can have metadata
Diffstat (limited to 'net-misc/ofono/files')
-rw-r--r--net-misc/ofono/files/ofono.initd21
1 files changed, 21 insertions, 0 deletions
diff --git a/net-misc/ofono/files/ofono.initd b/net-misc/ofono/files/ofono.initd
new file mode 100644
index 000000000000..7500edc2291f
--- /dev/null
+++ b/net-misc/ofono/files/ofono.initd
@@ -0,0 +1,21 @@
+#!/sbin/openrc-run
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Purpose License v2
+
+depend() {
+ need dbus
+}
+
+start() {
+ ebegin "Starting oFono"
+ start-stop-daemon --start --quiet --exec /usr/sbin/ofonod
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping oFono"
+ start-stop-daemon --stop --quiet --exec /usr/sbin/ofonod
+ eend $?
+}
+
+# vim: set ft=gentoo-init-d ts=3 sw=3 et: